be.ehealth.businessconnector.chapterIV.session.impl

## Class ChapterIVServiceImpl

- java.lang.Object
- - be.ehealth.businessconnector.chapterIV.session.impl.ChapterIVServiceImpl

- All Implemented Interfaces:
    ChapterIVService

      public class ChapterIVServiceImpl
      extends Object
      implements ChapterIVService

  The Business Connector for General Practitioners provides a simplified interface to access the CHAPTER IV service

  Implements : `ChapterIVService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChapterIVServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`
    `ChapterIVServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator, Crypto systemCrypto, Crypto personalCrypto)` Deprecated. same but without the crypto class

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AskChap4MedicalAdvisorAgreementResponse` | `askChap4MedicalAdvisorAgreementResponse(AskChap4MedicalAdvisorAgreementRequest request)` retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
    `AskChap4MedicalAdvisorAgreementResponse` | `askChap4MedicalAdvisorAgreementResponse(FolderType folder, String inputReference, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
    `ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)` retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
    `ConsultChap4MedicalAdvisorAgreementResponse` | `consultChap4MedicalAdvisorAgreement(FolderType folder, String inputReference, boolean isTest, String commonReference, String commonNIPReference, org.joda.time.DateTime agreementStartDate)` retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
    `AdmissionBuilder` | `getAdmissionBuilder()` returns the `AdmissionBuilderImpl` , a session should be active.
    `ConsultationBuilder` | `getConsultationBuilder()` returns the `ConsultationBuilderImpl`.
    `ResponseBuilder` | `getResponseBuilder()` returns the `ResponseBuilderImpl` , a session should be active.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChapterIVServiceImpl

          @Deprecated
          public ChapterIVServiceImpl(SessionValidator sessionValidator,
                                                   EhealthReplyValidator replyValidator,
                                                   Crypto systemCrypto,
                                                   Crypto personalCrypto)
                                            throws TechnicalConnectorException,
                                                   ChapterIVBusinessConnectorException

      Deprecated. same but without the crypto class
      Instantiates a new chapter IV service impl.
      Parameters:
        `sessionValidator` -
        `replyValidator` -
        `systemCrypto` -
        `personalCrypto` -
      Throws:
        `TechnicalConnectorException`
        `ChapterIVBusinessConnectorException`

    - #### ChapterIVServiceImpl

          public ChapterIVServiceImpl(SessionValidator sessionValidator,
                                      EhealthReplyValidator replyValidator)
                               throws TechnicalConnectorException,
                                      ChapterIVBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `ChapterIVBusinessConnectorException`

  - ### Method Detail

    - #### consultChap4MedicalAdvisorAgreement

          public ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(ConsultChap4MedicalAdvisorAgreementRequest request)
                                                                                          throws ChapterIVBusinessConnectorException,
                                                                                                 TechnicalConnectorException,
                                                                                                 SessionManagementException

      Description copied from interface: `ChapterIVService`
      retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
      Specified by:
        `consultChap4MedicalAdvisorAgreement` in interface `ChapterIVService`
      Returns:
      Throws:
        `SessionManagementException`
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.gp.ChapterIVService#consultChap4MedicalAdvisorAgreement(be.fgov.ehealth.chap4.protocol.v1.ConsultChap4MedicalAdvisorAgreementRequest)`

    - #### askChap4MedicalAdvisorAgreementResponse

          public AskChap4MedicalAdvisorAgreementResponse askChap4MedicalAdvisorAgreementResponse(AskChap4MedicalAdvisorAgreementRequest request)
                                                                                          throws ChapterIVBusinessConnectorException,
                                                                                                 TechnicalConnectorException,
                                                                                                 SessionManagementException

      Description copied from interface: `ChapterIVService`
      retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active.
      Specified by:
        `askChap4MedicalAdvisorAgreementResponse` in interface `ChapterIVService`
      Returns:
      Throws:
        `SessionManagementException`
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.gp.ChapterIVService#AskChap4MedicalAdvisorAgreementResponse(be.fgov.ehealth.chap4.protocol.v1.AskChap4MedicalAdvisorAgreementRequest)`

    - #### consultChap4MedicalAdvisorAgreement

          public ConsultChap4MedicalAdvisorAgreementResponse consultChap4MedicalAdvisorAgreement(FolderType folder,
                                                                                                 String inputReference,
                                                                                                 boolean isTest,
                                                                                                 String commonReference,
                                                                                                 String commonNIPReference,
                                                                                                 org.joda.time.DateTime agreementStartDate)
                                                                                          throws ChapterIVBusinessConnectorException,
                                                                                                 TechnicalConnectorException,
                                                                                                 SessionManagementException

      Description copied from interface: `ChapterIVService`
      retrieves the `ConsultChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active. for the agreementStartDate parameter utility method is proviced in `FolderTypeUtils`.retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation
      Specified by:
        `consultChap4MedicalAdvisorAgreement` in interface `ChapterIVService`
        `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
      Returns:
      Throws:
        `SessionManagementException`
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.gp.ChapterIVService#consultChap4MedicalAdvisorAgreement(be.fgov.ehealth.standards.kmehr.schema.v1.KmehrmessageType, java.lang.String, boolean, java.lang.String, java.lang.String, java.lang.String)`

    - #### getConsultationBuilder

          public ConsultationBuilder getConsultationBuilder()
                                                     throws TechnicalConnectorException

      Description copied from interface: `ChapterIVService`
      returns the `ConsultationBuilderImpl`. a session should be active
      Specified by:
        `getConsultationBuilder` in interface `ChapterIVService`
      Returns:
        ConsultationBuilder
      Throws:
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.gp.ChapterIVService#getConsultationBuilder()`

    - #### askChap4MedicalAdvisorAgreementResponse

          public AskChap4MedicalAdvisorAgreementResponse askChap4MedicalAdvisorAgreementResponse(FolderType folder,
                                                                                                 String inputReference,
                                                                                                 boolean isTest,
                                                                                                 String commonReference,
                                                                                                 String commonNIPReference,
                                                                                                 org.joda.time.DateTime agreementStartDate)
                                                                                          throws ChapterIVBusinessConnectorException,
                                                                                                 TechnicalConnectorException,
                                                                                                 SessionManagementException

      Description copied from interface: `ChapterIVService`
      retrieves the `AskChap4MedicalAdvisorAgreementResponse` , it needs a Session to be active. for the agreementStartDate parameter utility method is proviced in `FolderTypeUtils`.retrieveConsultationStartDateOrAgreementStartDate(FolderType folder), if this value is null you need to provide the agreementStartDate yourself , following the chapterIV documentation
      Specified by:
        `askChap4MedicalAdvisorAgreementResponse` in interface `ChapterIVService`
        `agreementStartDate` - not nullable : the agreementStartDate to be used in the request for the webservice : value : see documentation chapterIV
      Returns:
      Throws:
        `ChapterIVBusinessConnectorException`
        `TechnicalConnectorException`
        `SessionManagementException`
      See Also:
        `ChapterIVService.askChap4MedicalAdvisorAgreementResponse(be.fgov.ehealth.standards.kmehr.schema.v1.FolderType, java.lang.String, boolean, java.lang.String, java.lang.String, DateTime)`

    - #### getAdmissionBuilder

          public AdmissionBuilder getAdmissionBuilder()
                                               throws TechnicalConnectorException

      Description copied from interface: `ChapterIVService`
      returns the `AdmissionBuilderImpl` , a session should be active.
      Specified by:
        `getAdmissionBuilder` in interface `ChapterIVService`
      Returns:
        AdmissionBuilder
      Throws:
        `TechnicalConnectorException`
      See Also:
        `be.ehealth.businessconnector.gp.ChapterIVService#getAdmissionBuilder()`

    - #### getResponseBuilder

          public ResponseBuilder getResponseBuilder()
                                             throws TechnicalConnectorException

      Description copied from interface: `ChapterIVService`
      returns the `ResponseBuilderImpl` , a session should be active.
      Specified by:
        `getResponseBuilder` in interface `ChapterIVService`
      Returns:
        ResponseBuilder
      Throws:
        `TechnicalConnectorException`
      See Also:
        `ChapterIVService.getResponseBuilder()`

Connector Packaging PERSPHYSICIAN 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.